/***

Copyright 2011-2012 Carlos Moreno Munoz

This file is part of Vands.

Vands is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Foobar is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
****/

function dibujar_fondo(){
	//Dibujamos el fondo de 
	var i,j;
	for(i=0;i<GRID_ROWS;i++){
		for(j=0;j<GRID_COLUMNS;j++){
			if(grid.celdas[i][j]==1){
				contexto.drawImage(fondo, tam_image_square_x*j, tam_image_square_y*i, 
								tam_image_square_x, tam_image_square_y,
								TAM_GRID_SQUARE_X*j, TAM_GRID_SQUARE_Y*i, 
								TAM_GRID_SQUARE_X, TAM_GRID_SQUARE_Y);
			}
		}
	}
}

function dibujar_chooser(){
	contexto.save();
	
	/*/Dibujamos el marco
	contexto.globalAlpha=chooser.alpha;
	var gradiente = contexto.createRadialGradient(chooser.x+chooser.w/2, chooser.y+chooser.h/2, 20, chooser.x+chooser.w/2, chooser.y+chooser.h/2, 200);
	gradiente.addColorStop(0, "#8ED6FF");
	gradiente.addColorStop(1, "#004CB3");
	contexto.fillStyle = gradiente;
	contexto.beginPath();
	contexto.rect(chooser.x, chooser.y, chooser.w, chooser.h);
	contexto.closePath();
	contexto.fill();*/
	
		
	/*/Definimos las sombras
	contexto.shadowOffsetX = 5;
	contexto.shadowOffsetY = 5;
	contexto.shadowBlur = 5;
	contexto.shadowColor = '#666';*/
	
	//Dibujamos los objetos a seleccionar
		contexto.lineWidth=5;
		var y=chooser.y+chooser.margen;
		
		/*contexto.globalAlpha=0.25;
		contexto.fillStyle = "#FFFFFF";
		contexto.beginPath();
		contexto.rect(chooser.x+chooser.margen, y, chooser.w-2*chooser.margen, chooser.h-2*chooser.margen);
		contexto.closePath();
		contexto.fill();*/
		
		contexto.globalAlpha=1;
		var i=chooser.opcion_seleccionada;

		instrumentos.instrumentos[i].actualizar_dimensiones();
		contexto.drawImage(instrumentos.instrumentos[i].imagen,
							chooser.image_x[0],0,
							chooser.image_w[0],instrumentos.instrumentos[i].imagen_h,
							chooser.lienzo_x[0],chooser.lienzo_y,
							chooser.lienzo_w[0],chooser.lienzo_h);
							
		contexto.textBaseline = "top"; // Linea base del texto
		contexto.font = "bold 20px Comic Sans"; // Tamano y estilo de la fuente
		contexto.fillText(instrumentos.instrumentos[i].brand+" "+instrumentos.instrumentos[i].model,
							chooser.x+chooser.margen,chooser.y+25);

		instrumentos.instrumentos[i+1].actualizar_dimensiones();
		contexto.drawImage(instrumentos.instrumentos[i+1].imagen,
							0,0,
							chooser.image_w[1],instrumentos.instrumentos[i+1].imagen_h,
							chooser.coordenadas[1],chooser.lienzo_y,
							chooser.lienzo_w[1],chooser.lienzo_h);
		
		contexto.strokeStyle = "#000000";					
		contexto.stroke();
		contexto.closePath();
		
		//Linea divisoria entre guitarras
		var margen=20;
		if(chooser.coordenadas[0]>chooser.x+chooser.margen+margen){
			contexto.beginPath();
			contexto.moveTo(chooser.coordenadas[0]-margen,chooser.y+chooser.margen);
			contexto.lineTo(chooser.coordenadas[0]-margen,chooser.y+chooser.h-chooser.margen);
			contexto.closePath();
			contexto.stroke();
		}else if(chooser.coordenadas[1]>chooser.x+chooser.margen){
			contexto.beginPath();
			contexto.moveTo(chooser.coordenadas[1]-margen,chooser.y+chooser.margen);
			contexto.lineTo(chooser.coordenadas[1]-margen,chooser.y+chooser.h-chooser.margen);
			contexto.closePath();
			contexto.stroke();
		}

	contexto.restore();
}

function dibujar_botones(){
	//Boton volver
	if(boton_volver.apuntado){
		contexto.drawImage(boton_volver.over_image,boton_volver.x,boton_volver.y,boton_volver.w,boton_volver.h);
	}else{
		contexto.drawImage(boton_volver.image,boton_volver.x,boton_volver.y,boton_volver.w,boton_volver.h);
	}
	
	//Boton comprar
	if(boton_comprar.apuntado){
		contexto.drawImage(boton_comprar.over_image,boton_comprar.x,boton_comprar.y,boton_comprar.w,boton_comprar.h);
	}else{
		contexto.drawImage(boton_comprar.image,boton_comprar.x,boton_comprar.y,boton_comprar.w,boton_comprar.h);
	}

}

function dibujar_depurar(){
	
	contexto.save();
	//Showing the grid
	contexto.strokeStyle = '#F0F'; // Color
	for(i=0;i<GRID_ROWS;i++){
		contexto.beginPath();
		contexto.moveTo(0,TAM_GRID_SQUARE_Y*i);
		contexto.lineTo(ANCHURA_VENTANA,TAM_GRID_SQUARE_Y*i);
		contexto.closePath();
		contexto.stroke();
	}
	
	for(i=0;i<GRID_COLUMNS;i++){
		contexto.beginPath();
		contexto.moveTo(TAM_GRID_SQUARE_X*i,0);
		contexto.lineTo(TAM_GRID_SQUARE_X*i,ALTURA_VENTANA);
		contexto.closePath();
		contexto.stroke();
	}
	contexto.restore();
}

function draw_fadein(){
	if(fadein_alpha>0.0){
		contexto.save();
		contexto.globalAlpha=fadein_alpha;
		contexto.fillStyle = "#000000";
		contexto.beginPath();
		contexto.rect(0, 0, ANCHURA_VENTANA, ALTURA_VENTANA);
		contexto.closePath();
		contexto.fill();
		fadein_alpha-=FADE_SPEED;
		contexto.restore();
		if(fadein_alpha<=0.0){
			//Inicializamos las bandas
			desbloquear();
		}
	}
}

function draw_fadeout(){
	if(fadeout_alpha<1.0){
		contexto.save();
		contexto.globalAlpha=fadeout_alpha;
		contexto.fillStyle = "#000000";
		contexto.beginPath();
		contexto.rect(0, 0, ANCHURA_VENTANA, ALTURA_VENTANA);
		contexto.closePath();
		contexto.fill();
		fadeout_alpha+=FADE_SPEED;
		contexto.restore();
		if(fadeout_alpha>=1.0){
			contexto.globalAlpha=0.0;
			redireccionar(url_redireccionar);
		}
	}
}